Foreman - Bug #5541

Filter of resource type Organization can result in error condition when trying to access organization
resources

05/01/2014 03:30 PM - Eric Helms

Status: Closed
Priority: Normal
Assignee: Marek Hulan
Category: Users, Roles and Permissions
Target version: 1.7.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1098709 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/1726
Description

1. Create new role

2. Create new user

3. Assign user to new role

4. Add filter to role of resource type 'Organization’, select 'edit_organization' verb
5. Click organizations tab and select '"ACME_Corporation’

6. As the new user, with only the new role, do a PUT to /api/v2/organizations/1

Error Output:

{

"error": {
"message": "Field 'organization_id' not recognized for searching!",
"class": "ScopedSearch::QueryNotSupported”

}

}

Related issues:

Related to Foreman - Bug #5664: Users permissions on hosts are not working pr... Closed 05/11/2014
Related to Foreman - Bug #7615: Unable to create a non-taxonomy role filter w... Closed 09/23/2014
Is duplicate of Foreman - Bug #5397: Architectures filter blows up if an orga... Duplicate 04/22/2014
Blocks Foreman - Tracker #4552: New permissions/authorization system issues New

Associated revisions

Revision 0b1527e4 - 09/15/2014 08:26 AM - Marek Hulan

Fixes #5541 - disallow taxonomy assignment

If a filter resource does not support taxonomy assignment, we don't
allow to assign them to filter.

History

#1 - 05/01/2014 03:37 PM - Dominic Cleal

- Category set to Users, Roles and Permissions

#2 - 05/01/2014 03:37 PM - Dominic Cleal

- Related to Bug #5397: Architectures filter blows up if an organization is selected added

#3 - 05/01/2014 03:38 PM - Dominic Cleal

- Blocks Tracker #4552: New permissions/authorization system issues added

#4 - 05/12/2014 02:31 PM - Dominic Cleal
- translation missing: en.field_release set to 16

#5 - 05/19/2014 12:28 PM - Dominic Cleal

- Target version set to 1.8.2

#6 - 05/28/2014 10:50 AM - Marek Hulan

- Status changed from New to Need more information

Could you please retest with develop branch? | think this was fixed in #5664 since you can't set taxonomy filters for resources that do not support it.
See https://github.com/theforeman/foreman/commit/82b4749eeddabc542ebf1eaec6fdf2d76d2fdd75 for more details.

#7 - 05/28/2014 10:53 AM - Marek Hulan

- Related to deleted (Bug #5397 Architectures filter blows up if an organization is selected)

#8 - 05/28/2014 10:54 AM - Marek Hulan

- Is duplicate of Bug #5397 Architectures filter blows up if an organization is selected added

#9 - 05/28/2014 10:58 AM - Dominic Cleal

- Status changed from Need more information to Duplicate

#10 - 05/28/2014 11:00 AM - Dominic Cleal
- Status changed from Duplicate to Feedback
- Target version deleted (1.8.2)

- translation missing: en.field_release deleted (16)

#11 - 05/28/2014 11:00 AM - Dominic Cleal

- Related to Bug #5664: Users permissions on hosts are not working properly with organizations added

#12 - 05/28/2014 05:32 PM - Bryan Kearney
- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1098709

#13 - 08/14/2014 09:14 AM - Eric Helms
- Status changed from Feedback to New

While this has been fixed via taxonomy hiding for resource types that don't support it, the bug is still possible the API. For example,
POST /api/va/iilters

{

"role_id": 9,
"permission_ids": [98],
"organization_ids": [1]

}

Result: {

"id": 152,

"search": null,

"resource_type": "Organization",
"unlimited?": true,

"created_at": "2014-08-14T13:12:59Z2",
"updated_at": "2014-08-14T13:12:59Z",
"role": {

"name": "Test Role",

"id": 9

I3

"permissions": [ {

"name": "edit_organizations",
"id": 98,

"resource_type": "Organization
}

1

"organizations": [ {

"id": 1,

"name": "Default_Organization"
https://projects.theforeman.org/issues/5664
https://github.com/theforeman/foreman/commit/82b4749eeddabc542ebf1eaec6fdf2d76d2fdd75

#14 - 09/01/2014 08:52 AM - Marek Hulan
- Status changed from New to Assigned
- Assignee set to Marek Hulan

- Target version set to 1.7.4

#15 - 09/01/2014 08:52 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1726 added
- Pull request deleted ()

#16 - 09/10/2014 07:20 AM - Anonymous

- Target version changed from 1.7.4 to 1.7.3

#17 - 09/15/2014 08:32 AM - Dominic Cleal

- translation missing: en.field_release set to 21

#18 - 09/15/2014 09:01 AM - Marek Hulan
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 0b1527e4697b44b3d02334b96883{5407f991f66.

#19 - 09/24/2014 03:57 AM - Dominic Cleal

- Related to Bug #7615: Unable to create a non-taxonomy role filter when current context set added
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/0b1527e4697b44b3d02334b96883f5407f991f66
http://www.tcpdf.org

